Name:           impressive
Version:        0.10.3
Release:        7%{?dist}
Summary:        A program that displays presentation slides

Group:          Applications/Productivity
License:        GPLv2
URL:            http://impressive.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/Impressive-%{version}.tar.gz
# Wrapper script for making sure hardware acceleration is available
Source1:        %{name}.sh
# backport PDF parser fix
Patch0:         impressive-0.10.3-parser-fix.patch
 
BuildArch:      noarch
BuildRequires:  python-devel
# The following requires are not picked up by rpm:
# - imported modules (required):
Requires:       python-imaging
Requires:       pygame
Requires:       PyOpenGL
Requires:       opengl-games-utils
# - external tools for displaying and parsing pdf (required resp. strongly recommended):
Requires:       xpdf
%if 0%{?fedora}
Requires:       pdftk
%endif
# - external tool for acting on links (recommended):
Requires:       xdg-utils
# - font for on screen display (recommended):
Requires:       dejavu-sans-fonts


%description
Impressive is a program that displays presentation slides. But unlike 
OpenOffice.org Impress or other similar applications, it does so with 
style. 

Smooth alpha-blended slide transitions are provided for the sake 
of eye candy, but in addition to this, Impressive offers some unique tools 
that are really useful for presentations.


%prep
%setup -q -n Impressive-%{version}
%patch0 -p1 -b .parser-fix

%build
sed -e "s|@PYTHON_SITELIB@|%{python_sitelib}|" %{SOURCE1} > impressive.sh
# This package doesn't build anything, just copy files under build root.


%install
rm -rf %{buildroot}
install -D -p -m 755 impressive.py %{buildroot}%{python_sitelib}/impressive.py
install -D -p -m 644 impressive.1 %{buildroot}%{_mandir}/man1/impressive.1
install -D -p -m 755 impressive.sh %{buildroot}%{_bindir}/impressive


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc changelog.txt demo.pdf impressive.html license.txt
%{_bindir}/impressive
%{python_sitelib}/impressive.py*
%{_mandir}/man1/impressive.1*

%changelog
* Mon Nov 28 2011 Michael J Gruber <mjg@fedoraproject.org> - 0.10.3-7
- backport PDF parser fix

* Mon May 02 2011 Michael J Gruber <mjg@fedoraproject.org> - 0.10.3-6
- EPEL has no pdftk (recommended but optional requirement)

* Fri Mar 11 2011 Michael J Gruber <mjg@fedoraproject.org> - 0.10.3-5
- Clarify explicit requires.
- Add pdftk as requirement.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 05 2010 Michael J Gruber <mjg@fedoraproject.org> - 0.10.3-3
- spec file cleanup.

* Sun Dec 05 2010 Michael J Gruber <mjg@fedoraproject.org> - 0.10.3-2
- Make summary less flashy.
- Install main program in sitelib.
- BR python-devel.

* Fri Dec 03 2010 Michael J Gruber <mjg@fedoraproject.org> - 0.10.3-1
- Sync with upstream.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Allisson Azevedo <allisson@gmail.com> 0.10.2-6
- Added provides keyjnote.

* Mon Feb 16 2009 Allisson Azevedo <allisson@gmail.com> 0.10.2-5
- Obsolete keyjnote.

* Mon Feb 16 2009 Allisson Azevedo <allisson@gmail.com> 0.10.2-4
- Fix requires for dejavu fonts.

* Thu Feb 12 2009 Allisson Azevedo <allisson@gmail.com> 0.10.2-3
- Added OpenGL wrapper.
- Fix requires for dejavu fonts.

* Thu Feb 12 2009 Allisson Azevedo <allisson@gmail.com> 0.10.2-2
- Changed license.
- Added dejavu-fonts to requires.
- Added build section.

* Mon Feb  9 2009 Allisson Azevedo <allisson@gmail.com> 0.10.2-1
- Initial RPM release
